diff --git a/pkg/debian/build.sh b/pkg/debian/build.sh
index 505296c49..0fc01c767 100755
--- a/pkg/debian/build.sh
+++ b/pkg/debian/build.sh
@@ -35,7 +35,7 @@ cat << EOF > "${SERVERROOT}/DEBIAN/control"
 Package: ${APP_NAME}-server
 Version: ${APP_LONG_VERSION}
 Architecture: ${OS_ARCH}
-Depends: python3, libpq5 (>= 11.0), libgssapi-krb5-2
+Depends: python3, libpq5 (>= 11.0), libgssapi-krb5-2, xdg-utlis
 Recommends: postgresql-client | postgresql-client-13 | postgresql-client-12 | postgresql-client-11 | postgresql-client-10
 Maintainer: pgAdmin Development Team <pgadmin-hackers@postgresql.org>
 Description: The core server package for pgAdmin. pgAdmin is the most popular and feature rich Open Source administration and development platform for PostgreSQL, the most advanced Open Source database in the world.
diff --git a/pkg/redhat/build.sh b/pkg/redhat/build.sh
index c21fc9006..9aa579239 100755
--- a/pkg/redhat/build.sh
+++ b/pkg/redhat/build.sh
@@ -58,7 +58,7 @@ Summary:	The core server package for pgAdmin.
 License:	PostgreSQL
 URL:		https://www.pgadmin.org/
 
-Requires:	python3, postgresql-libs >= 11, krb5-libs
+Requires:	python3, postgresql-libs >= 11, krb5-libs, xdg-utlis
 
 %description
 The core server package for pgAdmin. pgAdmin is the most popular and feature rich Open Source administration and development platform for PostgreSQL, the most advanced Open Source database in the world.
@@ -95,7 +95,7 @@ Release:	1%{?dist}
 Summary:	The desktop user interface for pgAdmin.
 License:	PostgreSQL
 URL:		https://www.pgadmin.org/
-Requires:	${APP_NAME}-server = ${RPM_VERSION}, libatomic
+Requires:	${APP_NAME}-server = ${RPM_VERSION}, libatomic, xdg-utils
 
 %description
 The desktop user interface for pgAdmin. pgAdmin is the most popular and feature rich Open Source administration and development platform for PostgreSQL, the most advanced Open Source database in the world.
